dns_name_packet(3)

NAME
dns_name_packet - extract names from DNS answer packet

SYNTAX
#include <libowfat/dns.h>

int dns_name_packet(stralloc* out,const char* buf,
                    unsigned int len);

DESCRIPTION
dns_name_packet is a low-level component of dns_name4, designed to support asynchronous DNS lookups. It reads a DNS packet of length len from buf, extracts the first PTR record from the answer section of the packet, puts the result into out, and returns 0 or -1 the same way as dns_name4.

SEE ALSO
dns_name4(3), dns_name6(3), dns_ip4_packet(3)